SDL_AudioDevice Struct Reference

`#include <SDL_sysaudio.h>`

Collaboration diagram for SDL_AudioDevice:
[legend]

## Data Fields

SDL_AudioDeviceID | id
SDL_AudioSpec | spec
SDL_AudioCVT | convert
int | use_streamer
SDL_AudioStreamer | streamer
int | iscapture
int | enabled
int | shutdown
int | paused
int | opened
Uint8 * | fake_stream
SDL_mutex * | mixer_lock
SDL_Thread * | thread
SDL_threadID | threadid
SDL_AudioBufferQueue * | buffer_queue_head
SDL_AudioBufferQueue * | buffer_queue_tail
SDL_AudioBufferQueue * | buffer_queue_pool
Uint32 | queued_bytes
struct SDL_PrivateAudioData * | hidden

## Detailed Description

Definition at line 143 of file SDL_sysaudio.h.

## Field Documentation

SDL_AudioBufferQueue* SDL_AudioDevice::buffer_queue_head

Definition at line 178 of file SDL_sysaudio.h.

Referenced by close_audio_device(), SDL_BufferQueueDrainCallback(), SDL_ClearQueuedAudio(), and SDL_QueueAudio().

SDL_AudioBufferQueue* SDL_AudioDevice::buffer_queue_pool

Definition at line 180 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_BufferQueueDrainCallback(), and SDL_QueueAudio().

SDL_AudioBufferQueue* SDL_AudioDevice::buffer_queue_tail

Definition at line 179 of file SDL_sysaudio.h.

Referenced by SDL_BufferQueueDrainCallback(), SDL_ClearQueuedAudio(), and SDL_QueueAudio().

SDL_AudioCVT SDL_AudioDevice::convert

Definition at line 153 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_MixAudio(), and SDL_RunAudio().

int SDL_AudioDevice::enabled

Definition at line 162 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_GetAudioDeviceStatus(), SDL_OpenedAudioDeviceDisconnected(), and SDL_RunAudio().

Uint8* SDL_AudioDevice::fake_stream

Definition at line 168 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), and SDL_RunAudio().

struct SDL_PrivateAudioData* SDL_AudioDevice::hidden

Definition at line 185 of file SDL_sysaudio.h.

SDL_AudioDeviceID SDL_AudioDevice::id

Definition at line 147 of file SDL_sysaudio.h.

Referenced by open_audio_device(), and SDL_OpenedAudioDeviceDisconnected().

int SDL_AudioDevice::iscapture

Definition at line 161 of file SDL_sysaudio.h.

Referenced by open_audio_device(), and SDL_OpenedAudioDeviceDisconnected().

SDL_mutex* SDL_AudioDevice::mixer_lock

Definition at line 171 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_AudioLockDevice_Default(), SDL_AudioUnlockDevice_Default(), and SDL_RunAudio().

int SDL_AudioDevice::opened

Definition at line 165 of file SDL_sysaudio.h.

Referenced by close_audio_device(), and open_audio_device().

int SDL_AudioDevice::paused

Definition at line 164 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_GetAudioDeviceStatus(), SDL_PauseAudioDevice(), and SDL_RunAudio().

Uint32 SDL_AudioDevice::queued_bytes

Definition at line 181 of file SDL_sysaudio.h.

Referenced by SDL_BufferQueueDrainCallback(), SDL_ClearQueuedAudio(), SDL_GetQueuedAudioSize(), and SDL_QueueAudio().

int SDL_AudioDevice::shutdown

Definition at line 163 of file SDL_sysaudio.h.

Referenced by close_audio_device(), and SDL_RunAudio().

SDL_AudioSpec SDL_AudioDevice::spec

Definition at line 150 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_BufferQueueDrainCallback(), SDL_GetQueuedAudioSize(), SDL_MixAudio(), SDL_QueueAudio(), and SDL_RunAudio().

SDL_AudioStreamer SDL_AudioDevice::streamer

Definition at line 157 of file SDL_sysaudio.h.

SDL_Thread* SDL_AudioDevice::thread

Definition at line 174 of file SDL_sysaudio.h.

Referenced by close_audio_device(), is_in_audio_device_thread(), and open_audio_device().

SDL_threadID SDL_AudioDevice::threadid

Definition at line 175 of file SDL_sysaudio.h.

Referenced by is_in_audio_device_thread(), and SDL_RunAudio().

int SDL_AudioDevice::use_streamer

Definition at line 156 of file SDL_sysaudio.h.

The documentation for this struct was generated from the following file:

- src/audio/SDL_sysaudio.h